textures/common/ladder
{
   qer_editorimage textures/common/ladder.jpg
   qer_trans .40
   surfaceparm ladder
   surfaceparm nodraw
   surfaceparm nolightmap
   surfaceparm nonsolid
   surfaceparm trans
   surfaceparm nomarks
   surfaceparm noimpact
   surfaceparm playerclip
}
textures/desertia/desertsky
 {
 	qer_editorimage textures/desertia/sky/desert_sky.tga
 	skyparms textures/desertia/sky/desertsky 512 -
 	q3map_sunExt 1 0.86 0.67 350 -102 40 2 16
 	q3map_lightmapFilterRadius 0 160
 	q3map_skyLight 210 2
 	surfaceparm 	sky
 	surfaceparm 	noimpact
 	surfaceparm 	nolightmap
 	surfaceparm	nomarks
 {
        map textures/desertia/sky/clouds.tga  //the map of the clouds, put an alpha channel into the texture for best results
        blendFunc blend  //to make it so you can see the skybox behind the cloudlayer
        tcMod scale 3 3  //this makes the texture repeat more often, in this case, 3x as much in each direction, play around with the values as you like
        tcMod scroll 0.05 0.02  //this makes it move.  play around with the values here until they are to your liking
 }
}

textures/desertia/pool
{
	qer_editorimage textures/desertia/pool/pool3d_3e.tga
	qer_trans 0.75
	q3map_fancywater 6 1 1 1
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nolightmap
	cull disable
	deformVertexes wave 64 sin .25 .25 0 .5	
	{ 
		map textures/desertia/pool/pool3d_5e.tga
		blendFunc GL_dst_color GL_one
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{ 
		map textures/liquids/pool3d_3e.tga
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
}

textures/ut_swim/watercaulk
{
	qer_editorimage textures/common/watercaulk.jpg
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
}

textures/desertia/pool/pool_notice
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/desertia/pool/pool_notice.jpg
        blendFunc filter
    }
}


textures/desertia/pool/desertia_entry
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/desertia/pool/desertia_entry.jpg
        blendFunc filter
    }
}

textures/desertia/pool/welcome_desertia
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/desertia/pool/welcome_desertia.jpg
        blendFunc filter
    }
}

textures/desertia/pool/reception_sign
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/desertia/pool/reception_sign.jpg
        blendFunc filter
    }
}

textures/desertia/pool/picolabar
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/desertia/pool/picolabar.jpg
        blendFunc filter
    }
}


textures/desertia/pool/swimming_pool_tiles
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/desertia/pool/swimming_pool_tiles.tga
        blendFunc filter
    }
}

textures/desertia/pool/changing_tiles_female
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/desertia/pool/changing_tiles_female.tga
        blendFunc filter
    }
}

textures/desertia/pool/changing_tiles_male
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/desertia/pool/changing_tiles_male.tga
        blendFunc filter
    }
}

textures/desertia/pool/door
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/desertia/pool/door.tga
        blendFunc filter
    }
}

textures/desertia/desert/cracked_earth_yellow
{
        qer_editorimage textures/desertia/desert/desertcrackicon.jpg
        q3map_lightRGB  1 1 1
        q3map_nonplanar
        q3map_shadeAngle 70
        q3map_lightmapsampleoffset 8
        {
                map textures/desertia/desert/sand_1.jpg
                rgbGen identity
        }
        {
                map textures/desertia/desert/cracked_earth_natural.jpg
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                alphaGen vertex
                rgbGen identity
        }
        {
                map $lightmap
                blendFunc GL_DST_COLOR GL_ZERO
                rgbGen identity
        }
}

textures/desertia/desert/sand_blend
{
        qer_editorimage textures/desertia/desert/desertsandicon.jpg
        q3map_lightRGB  1 1 1
        q3map_nonplanar
        q3map_shadeAngle 66
        q3map_lightmapsampleoffset 8
        {
                map textures/desertia/desert/sand_2.jpg
                rgbGen identity
        }
        {
                map textures/desertia/desert/sand_1.jpg
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                alphaGen vertex
                rgbGen identity
        }
        {
                map $lightmap
                blendFunc GL_DST_COLOR GL_ZERO
                rgbGen identity
        }
}

textures/desertia/desert/sand_1
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/desertia/desert/sand_1.jpg
        blendFunc filter
    }
}
textures/desertia/desert/sand_2
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/desertia/desert/sand_2.jpg
        blendFunc filter
    }
}


textures/desertia/desert/keres4_nature01
{
        qer_editorimage textures/desertia/desert/grass_sand_blend.jpg
        q3map_lightRGB  1 1 1
        q3map_nonplanar
        q3map_shadeAngle 120
        q3map_lightmapsampleoffset 8
        {
                map textures/desertia/desert/sand_2.jpg
                rgbGen identity
        }
        {
                map textures/desertia/desert/keres4_nature01.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                alphaGen vertex
                rgbGen identity
        }
        {
                map $lightmap
                blendFunc GL_DST_COLOR GL_ZERO
                rgbGen identity
        }
}

textures/desertia/desert/sandcrackpebble
{
        qer_editorimage textures/desertia/desert/grass_sand_blend.jpg
        q3map_lightRGB  1 1 1
        q3map_nonplanar
        q3map_shadeAngle 120
        q3map_lightmapsampleoffset 8
        {
                map textures/desertia/desert/sandcrackpebble.jpg
                rgbGen identity
        }
        {
                map textures/desertia/desert/keres4_nature01.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                alphaGen vertex
                rgbGen identity
        }
        {
                map $lightmap
                blendFunc GL_DST_COLOR GL_ZERO
                rgbGen identity
        }
}

textures/desertia/vines/vine
{	
    qer_editorimage textures/desertia/vines/vine.tga
	surfaceparm alphashadow
	nopicmip
	cull none
//	q3map_surfacelight 30
	deformVertexes wave 5 sin 0 .2 0 .3
	{
		map textures/desertia/vines/vine.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
//		rgbGen vertex
	}
	{
		map $lightmap 
		blendfunc filter
		depthFunc equal
	}
}

textures/desertia/vines/vine1
{	
    qer_editorimage textures/desertia/vines/vine1.tga
	surfaceparm alphashadow
	nopicmip
	cull none
//	q3map_surfacelight 30
	deformVertexes wave 5 sin 0 .2 0 .3
	{
		map textures/desertia/vines/vine1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
//		rgbGen vertex
	}
	{
		map $lightmap 
		blendfunc filter
		depthFunc equal
	}
}

textures/desertia/vines/vine2
{	
    qer_editorimage textures/desertia/vines/vine2.tga
	surfaceparm alphashadow
	nopicmip
	cull none
//	q3map_surfacelight 30
	deformVertexes wave 5 sin 0 .2 0 .3
	{
		map textures/desertia/vines/vine2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
//		rgbGen vertex
	}
	{
		map $lightmap 
		blendfunc filter
		depthFunc equal
	}
}

textures/desertia/vines/vine3
{	
    qer_editorimage textures/desertia/vines/vine3.tga
	surfaceparm alphashadow
	nopicmip
	cull none
//	q3map_surfacelight 30
	deformVertexes wave 5 sin 0 .2 0 .3
	{
		map textures/desertia/vines/vine3.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
//		rgbGen vertex
	}
	{
		map $lightmap 
		blendfunc filter
		depthFunc equal
	}
}

textures/desertia/vines/desertia_sign
{	
    qer_editorimage textures/desertia/vines/desertia_sign.tga
	surfaceparm alphashadow
	nopicmip
	cull none
//	q3map_surfacelight 30
	deformVertexes wave 5 sin 0 .2 0 .3
	{
		map textures/desertia/vines/desertia_sign.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
//		rgbGen vertex
	}
	{
		map $lightmap 
		blendfunc filter
		depthFunc equal
	}
}


textures/desertia/pool/pool_water
{ 
	qer_editorimage textures/desertia/pool/FoamySeaWater.tga
	qer_trans 0.75
	q3map_fancywater 6 1 1 1
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nolightmap
	surfaceparm nomarks
	sort 8

	{
		map textures/desertia/pool/FoamySeaWater.tga
		blendfunc blend
		tcMod turb 0.1 0.1 0.1 .1
	}
	{
		map textures/desertia/pool/FoamySeaWater.tga
		blendfunc blend
		tcMod turb 0 0.1 1 .1
	}
	
}


textures/desertia/pool/keres4_wall01
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/desertia/pool/keres4_wall01.tga
        blendFunc filter
    }
}

textures/desertia/pool/keres4_metal02
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/desertia/pool/keres4_metal02.tga
        blendFunc filter
    }
}
textures/desertia/pool/keres4_metal01
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/desertia/pool/keres4_metal01.tga
        blendFunc filter
    }
}

textures/desertia/pool/keres4_wall08
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/desertia/pool/keres4_wall08.tga
        blendFunc filter
    }
}
textures/desertia/pool_kit/neeptronic
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/desertia/pool_kit/neeptronic.tga
        blendFunc filter
    }
}

textures/desertia/pool_kit/neeptronic_colour
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/desertia/pool_kit/neeptronic_colour.tga
        blendFunc filter
    }
}

textures/desertia/pool/pool_reception_plain
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/desertia/pool/pool_reception_plain.tga
        blendFunc filter
    }
}
textures/desertia/pool/pool_reception_plain_small
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/desertia/pool/pool_reception_plain_small.tga
        blendFunc filter
    }
}
textures/desertia/pool/locker_door
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/desertia/pool/locker_door.tga
        blendFunc filter
    }
}
textures/desertia/bazar/carpet1
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/desertia/bazar/carpet1.jpg
        blendFunc filter
    }
}
textures/desertia/bazar/carpet2
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/desertia/bazar/carpet2.jpg
        blendFunc filter
    }
}

textures/desertia/bazar/carpet3
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/desertia/bazar/carpet3.jpg
        blendFunc filter
    }
}


textures/desertia/pool/bluewall
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/desertia/pool/bluewall.tga
        blendFunc filter
    }
}

textures/desertia/sky/thesun
{	
    qer_editorimage textures/desertia/sky/thesun.tga
	surfaceparm alphashadow
	nopicmip
	cull none
//	q3map_surfacelight 30
	deformVertexes wave 5 sin 0 .2 0 .3
	{
		map textures/desertia/sky/thesun.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
//		rgbGen vertex
	}
	{
		map $lightmap 
		blendfunc filter
		depthFunc equal
	}
}


textures/desertia/misc/flourlight
{
    qer_editorimage textures/desertia/misc/flourlight.tga
    q3map_bounceScale 0.0
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm detail
    surfaceparm trans
    q3map_surfacelight 8000
    tesssize 4
    q3map_lightimage  textures/desertia/misc/flourlight.tga
    {
        map textures/desertia/misc/flourlight.tga
    }
}
